Commit 03dfabc9 authored by Colomban Wendling's avatar Colomban Wendling

Fix for missing linking on libgthread

We use libgthread, but we didn't explicitly link it.  This used to
work because other libraries we link also links libgthread, but such
indirect dependencies are rejected by modern linkers.
parent 37f6b2cb
......@@ -17,10 +17,12 @@ AM_PROG_VALAC([0.11.6])
# Checks for libraries.
GLIB_REQUIRE=2.12
GTHREAD_REQUIRE=2.0
GIO_REQUIRE=2.0
OVCC_REQUIRE=0.0
PKG_CHECK_MODULES([OVCCSERVER], [glib-2.0 >= ${GLIB_REQUIRE}
gthread-2.0 >= ${GTHREAD_REQUIRE}
gio-2.0 >= ${GIO_REQUIRE}
ovcc >= ${OVCC_REQUIRE}])
OVCCSERVER_VALAFLAGS="--pkg glib-2.0 --pkg gio-2.0 --pkg ovcc"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment